Skip to content
Management API Reference

Create endpoint

post/v2/organizations/{slug}/webhooks/endpoints

Create new endpoint configuration to subscribe to specific webhook events.

Path parameters

  • slug
    Required
    string

    Organization slug

Body

  • data
    Required
    object

Response codes

  • 201
  • 400
  • 401
  • 403
  • 408
  • 429
  • 500

Response (201)

{
"data": {
"type": "endpoint",
"id": "00000000-0000-0000-0000-000000000000",
"attributes": {
"id": "00000000-0000-0000-0000-000000000000",
"url": "https://mydomain.com/path/to/handler",
"enabled": true,
"description": "lorem",
"event_types": [
{
"type": "v1.project.paused"
}
],
"custom_headers": {
"Authorization": "Bearer example_token"
},
"created_by": "00000000-0000-0000-0000-000000000000",
"created_at": "4404-02-29T04:24Z"
}
}
}